ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.23 by pcg, Wed Jul 7 00:28:19 2004 UTC vs.
Revision 1.24 by pcg, Fri Mar 4 03:43:09 2005 UTC

9744 9744
9745# Check whether --enable-dns or --disable-dns was given. 9745# Check whether --enable-dns or --disable-dns was given.
9746if test "${enable_dns+set}" = set; then 9746if test "${enable_dns+set}" = set; then
9747 enableval="$enable_dns" 9747 enableval="$enable_dns"
9748 9748
9749 if test "${ac_cv_header_gmp_h+set}" = set; then
9750 echo "$as_me:$LINENO: checking for gmp.h" >&5
9751echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9752if test "${ac_cv_header_gmp_h+set}" = set; then
9753 echo $ECHO_N "(cached) $ECHO_C" >&6
9754fi
9755echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9756echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9757else
9758 # Is the header compilable?
9759echo "$as_me:$LINENO: checking gmp.h usability" >&5
9760echo $ECHO_N "checking gmp.h usability... $ECHO_C" >&6
9761cat >conftest.$ac_ext <<_ACEOF
9762/* confdefs.h. */
9763_ACEOF
9764cat confdefs.h >>conftest.$ac_ext
9765cat >>conftest.$ac_ext <<_ACEOF
9766/* end confdefs.h. */
9767$ac_includes_default
9768#include <gmp.h>
9769_ACEOF
9770rm -f conftest.$ac_objext
9771if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9772 (eval $ac_compile) 2>conftest.er1
9773 ac_status=$?
9774 grep -v '^ *+' conftest.er1 >conftest.err
9775 rm -f conftest.er1
9776 cat conftest.err >&5
9777 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9778 (exit $ac_status); } &&
9779 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9780 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9781 (eval $ac_try) 2>&5
9782 ac_status=$?
9783 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9784 (exit $ac_status); }; } &&
9785 { ac_try='test -s conftest.$ac_objext'
9786 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9787 (eval $ac_try) 2>&5
9788 ac_status=$?
9789 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9790 (exit $ac_status); }; }; then
9791 ac_header_compiler=yes
9792else
9793 echo "$as_me: failed program was:" >&5
9794sed 's/^/| /' conftest.$ac_ext >&5
9795
9796ac_header_compiler=no
9797fi
9798rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
9799echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9800echo "${ECHO_T}$ac_header_compiler" >&6
9801
9802# Is the header present?
9803echo "$as_me:$LINENO: checking gmp.h presence" >&5
9804echo $ECHO_N "checking gmp.h presence... $ECHO_C" >&6
9805cat >conftest.$ac_ext <<_ACEOF
9806/* confdefs.h. */
9807_ACEOF
9808cat confdefs.h >>conftest.$ac_ext
9809cat >>conftest.$ac_ext <<_ACEOF
9810/* end confdefs.h. */
9811#include <gmp.h>
9812_ACEOF
9813if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
9814 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
9815 ac_status=$?
9816 grep -v '^ *+' conftest.er1 >conftest.err
9817 rm -f conftest.er1
9818 cat conftest.err >&5
9819 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9820 (exit $ac_status); } >/dev/null; then
9821 if test -s conftest.err; then
9822 ac_cpp_err=$ac_cxx_preproc_warn_flag
9823 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
9824 else
9825 ac_cpp_err=
9826 fi
9827else
9828 ac_cpp_err=yes
9829fi
9830if test -z "$ac_cpp_err"; then
9831 ac_header_preproc=yes
9832else
9833 echo "$as_me: failed program was:" >&5
9834sed 's/^/| /' conftest.$ac_ext >&5
9835
9836 ac_header_preproc=no
9837fi
9838rm -f conftest.err conftest.$ac_ext
9839echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9840echo "${ECHO_T}$ac_header_preproc" >&6
9841
9842# So? What about this header?
9843case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9844 yes:no: )
9845 { echo "$as_me:$LINENO: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
9846echo "$as_me: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
9847 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the compiler's result" >&5
9848echo "$as_me: WARNING: gmp.h: proceeding with the compiler's result" >&2;}
9849 ac_header_preproc=yes
9850 ;;
9851 no:yes:* )
9852 { echo "$as_me:$LINENO: WARNING: gmp.h: present but cannot be compiled" >&5
9853echo "$as_me: WARNING: gmp.h: present but cannot be compiled" >&2;}
9854 { echo "$as_me:$LINENO: WARNING: gmp.h: check for missing prerequisite headers?" >&5
9855echo "$as_me: WARNING: gmp.h: check for missing prerequisite headers?" >&2;}
9856 { echo "$as_me:$LINENO: WARNING: gmp.h: see the Autoconf documentation" >&5
9857echo "$as_me: WARNING: gmp.h: see the Autoconf documentation" >&2;}
9858 { echo "$as_me:$LINENO: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&5
9859echo "$as_me: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
9860 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the preprocessor's result" >&5
9861echo "$as_me: WARNING: gmp.h: proceeding with the preprocessor's result" >&2;}
9862 { echo "$as_me:$LINENO: WARNING: gmp.h: in the future, the compiler will take precedence" >&5
9863echo "$as_me: WARNING: gmp.h: in the future, the compiler will take precedence" >&2;}
9864 (
9865 cat <<\_ASBOX
9866## ------------------------------------------ ##
9867## Report this to the AC_PACKAGE_NAME lists. ##
9868## ------------------------------------------ ##
9869_ASBOX
9870 ) |
9871 sed "s/^/$as_me: WARNING: /" >&2
9872 ;;
9873esac
9874echo "$as_me:$LINENO: checking for gmp.h" >&5
9875echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9876if test "${ac_cv_header_gmp_h+set}" = set; then
9877 echo $ECHO_N "(cached) $ECHO_C" >&6
9878else
9879 ac_cv_header_gmp_h=$ac_header_preproc
9880fi
9881echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9882echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9883
9884fi
9885if test $ac_cv_header_gmp_h = yes; then
9886 :
9887else
9888 { { echo "$as_me:$LINENO: error: gmp.h not found, required for --enable-dns" >&5
9889echo "$as_me: error: gmp.h not found, required for --enable-dns" >&2;}
9890 { (exit 1); exit 1; }; }
9891fi
9892
9893
9894
9895echo "$as_me:$LINENO: checking for main in -lgmp" >&5
9896echo $ECHO_N "checking for main in -lgmp... $ECHO_C" >&6
9897if test "${ac_cv_lib_gmp_main+set}" = set; then
9898 echo $ECHO_N "(cached) $ECHO_C" >&6
9899else
9900 ac_check_lib_save_LIBS=$LIBS
9901LIBS="-lgmp $LIBS"
9902cat >conftest.$ac_ext <<_ACEOF
9903/* confdefs.h. */
9904_ACEOF
9905cat confdefs.h >>conftest.$ac_ext
9906cat >>conftest.$ac_ext <<_ACEOF
9907/* end confdefs.h. */
9908
9909
9910int
9911main ()
9912{
9913main ();
9914 ;
9915 return 0;
9916}
9917_ACEOF
9918rm -f conftest.$ac_objext conftest$ac_exeext
9919if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
9920 (eval $ac_link) 2>conftest.er1
9921 ac_status=$?
9922 grep -v '^ *+' conftest.er1 >conftest.err
9923 rm -f conftest.er1
9924 cat conftest.err >&5
9925 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9926 (exit $ac_status); } &&
9927 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9928 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9929 (eval $ac_try) 2>&5
9930 ac_status=$?
9931 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9932 (exit $ac_status); }; } &&
9933 { ac_try='test -s conftest$ac_exeext'
9934 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9935 (eval $ac_try) 2>&5
9936 ac_status=$?
9937 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9938 (exit $ac_status); }; }; then
9939 ac_cv_lib_gmp_main=yes
9940else
9941 echo "$as_me: failed program was:" >&5
9942sed 's/^/| /' conftest.$ac_ext >&5
9943
9944ac_cv_lib_gmp_main=no
9945fi
9946rm -f conftest.err conftest.$ac_objext \
9947 conftest$ac_exeext conftest.$ac_ext
9948LIBS=$ac_check_lib_save_LIBS
9949fi
9950echo "$as_me:$LINENO: result: $ac_cv_lib_gmp_main" >&5
9951echo "${ECHO_T}$ac_cv_lib_gmp_main" >&6
9952if test $ac_cv_lib_gmp_main = yes; then
9953 cat >>confdefs.h <<_ACEOF
9954#define HAVE_LIBGMP 1
9955_ACEOF
9956
9957 LIBS="-lgmp $LIBS"
9958
9959else
9960 { { echo "$as_me:$LINENO: error: libgmp not found, required for --enable-dns" >&5
9961echo "$as_me: error: libgmp not found, required for --enable-dns" >&2;}
9962 { (exit 1); exit 1; }; }
9963fi
9964
9965
9966
9749cat >>confdefs.h <<_ACEOF 9967cat >>confdefs.h <<_ACEOF
9750#define ENABLE_DNS 1 9968#define ENABLE_DNS 1
9751_ACEOF 9969_ACEOF
9970
9752 9971
9753 9972
9754fi; 9973fi;
9755 9974
9756# Check whether --enable-http-proxy or --disable-http-proxy was given. 9975# Check whether --enable-http-proxy or --disable-http-proxy was given.

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines